package com.flyfish.framework.dict.config;

import com.flyfish.framework.dict.service.DictionaryService;
import org.springframework.context.annotation.Bean;

/**
 * 字典配置
 *
 * @author wangyu
 */
public class DictionaryConfig {

    /**
     * 注册字典处理器，开启类扫描注册
     *
     * @param dictionaryService 字典服务
     * @return 结果
     */
    @Bean
    public DictionaryProcessor dictionaryProcessor(DictionaryService dictionaryService) {
        return new DictionaryProcessor(dictionaryService);
    }
}
